Bug 1268616 - [epel7s390x] libgda SRPM does not build correctly on s390x
[epel7s390x] libgda SRPM does not build correctly on s390x
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: libgda (Show other bugs)
epel7
s390x Linux
high Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7s390x
  Show dependency treegraph
 
Reported: 2015-10-03 13:01 EDT by IBM Bug Proxy
Modified: 2017-08-03 05:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow building libgda on IBM JDK (367 bytes, text/plain)
2015-10-03 13:01 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131317 None None None Never

  None (edit)
Description IBM Bug Proxy 2015-10-03 13:01:37 EDT

    
Comment 1 IBM Bug Proxy 2015-10-03 13:01:39 EDT
The EPEL 7 SRPM for libgda 
(https://dl.fedoraproject.org/pub/epel/7/SRPMS/l/libgda-5.1.2-2.el7.1.src.rpm) 
does not build correctly in Mock on s390x. 

A couple of problems have been observed.

1. The configure script tries to use obsolete GCC options -V and -qversion (around line 6301). Removing these options allowed the script to proceed.

2. Mock installed the IBM JDK on s390x when it saw the java BuildRequires. And configure failed due to a missing linker option that is required when building JNI code on IBM JDK. Adding the attached patch to the .spec file allowed the package to build on IBM JDK.
Comment 2 IBM Bug Proxy 2015-10-03 13:01:43 EDT
Created attachment 1079636 [details]
Allow building libgda on IBM JDK
Comment 3 IBM Bug Proxy 2015-10-06 06:14:35 EDT
------- Comment From hannsj_uhl@de.ibm.com 2015-10-06 10:02 EDT-------
Comment from  William Zhang 2015-10-05 14:47:05 EDT

In fact, the 1st fix is unnecessary.
Comment 4 IBM Bug Proxy 2016-02-23 11:14:18 EST
------- Comment From vsandhya@in.ibm.com 2016-02-23 10:09 EDT-------
Any updates?
Comment 5 Georg Markgraf 2017-08-03 05:16:42 EDT
Expect this is fixed as per RHBZ#1 
... Adding the attached patch to the .spec file allowed the package to build on IBM JDK.
Please update the BZ with latest status  .. thanks in advance

Note You need to log in before you can comment on or make changes to this bug.